Subject: Re: Rebase 1.5-1: Causes invalid page fault
From: Jason Tishler <[email-masked]>
To: Nicholas Wourms <[email-masked]>
Cc: [email-masked]
Date: Tue, 18 Jun 2002 13:06:02 -0400

Nicholas,

On Tue, Jun 18, 2002 at 09:09:10AM -0700, Nicholas Wourms wrote:
> --- Jason Tishler <[email-masked]> wrote:
> > pathname is null terminated -- this is good.  Is it null terminated for
> > *all* DLLs?
> 
> I'm going to have to start printing the arguments one by one as I step
> through the execution, because it crashes before it can do the next loop. 
> So in effect, the other dlls aren't being processed yet.

Hmm...  I just noticed that maybe the SymbolPath argument should be ""
(i.e., the empty string) and not 0 (i.e., the null pointer).  Please try
the attached patch.  Does this fix rebase for you?

Thanks,
Jason
--- rebase.c	2002/05/10 12:00:54	1.5
+++ rebase.c	2002/06/18 17:01:06
@@ -56,7 +56,7 @@ main (int argc, char *argv[])
       get_pathname (argv[i], pathname, sizeof (pathname));
       prev_new_image_base = new_image_base;
       aStatus = ReBaseImage (pathname,		/* CurrentImageName */
-			     0,			/* SymbolPath */
+			     "",		/* SymbolPath */
 			     TRUE,		/* fReBase */
 			     FALSE,		/* fRebaseSysfileOk */
 			     down_flag,		/* fGoingDown */

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/